using System;
using System.Collections.Generic;
using System.Linq;
using System.Windows.Input;
using System.Text;

namespace TradeBlotter.ViewModels
{
  public class CommandViewModel : ViewModelBase
  {
    public CommandViewModel(String displayName, ICommand command)
    {
      if (null == command) throw new ArgumentNullException("command");
      base.DisplayName = displayName;
      this.Command = command;
    }
    public ICommand Command { get; private set; }
    public override SaveParameters GetSaveParameters()
    {
      return null;
    }
    public override void SetSaveParameters(SaveParameters saveParameters)
    {
    }
    public override bool CanPersist()
    {
      return false;
    }
  }
}
